Bug 144392

Summary: [patch] [update] games/wesnoth-devel from 1.7.10 to 1.7.13
Product: Ports & Packages Reporter: Paul Shepel <Paul.Shepel>
Component: Individual Port(s)Assignee: Philip Paeps <philip>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff none

Description Paul Shepel 2010-03-01 18:20:00 UTC
Patch to update wesnoth to current development release

Fix: patch in attachment, please use 
patch -p0 < /path/to/patch

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-03-01 18:20:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->philip

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 swell.k 2010-03-10 16:53:28 UTC
According to release notes[1] versions prior 1.7.14 are not allowed on
the development multiplayer server. Here is an updated diff.

[1] http://www.wesnoth.org/forum/viewtopic.php?f=5&t=29127

--- wesnoth-devel_update_to_1.7.14.diff begins here ---
Index: games/wesnoth-devel/Makefile
===================================================================
RCS file: /a/.cvsup/ports/games/wesnoth-devel/Makefile,v
retrieving revision 1.81
diff -u -p -r1.81 Makefile
--- games/wesnoth-devel/Makefile	13 Feb 2010 18:42:04 -0000	1.81
+++ games/wesnoth-devel/Makefile	10 Mar 2010 15:15:46 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	wesnoth
-PORTVERSION=	1.7.10
+PORTVERSION=	1.7.14
 CATEGORIES=	games
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTNAME}-${PORTVERSION} \
 		http://www.wesnoth.org/files/
Index: games/wesnoth-devel/distinfo
===================================================================
RCS file: /a/.cvsup/ports/games/wesnoth-devel/distinfo,v
retrieving revision 1.53
diff -u -p -r1.53 distinfo
--- games/wesnoth-devel/distinfo	13 Feb 2010 18:42:04 -0000	1.53
+++ games/wesnoth-devel/distinfo	10 Mar 2010 11:45:10 -0000
@@ -1,3 +1,3 @@
-MD5 (wesnoth-1.7.10.tar.bz2) = e31149a10508be250200058f318876f8
-SHA256 (wesnoth-1.7.10.tar.bz2) = d73be1f2f8f3d4c8774f5b997d76c595b80726965ac03f7a38681ab9e64e19c6
-SIZE (wesnoth-1.7.10.tar.bz2) = 273564694
+MD5 (wesnoth-1.7.14.tar.bz2) = a3e4e02b8066dfe77282bd379fc587e5
+SHA256 (wesnoth-1.7.14.tar.bz2) = dde94cc67cfd97bcffccd679ab6ad0e1bb62883e18498daf7e9d8550336e6b3d
+SIZE (wesnoth-1.7.14.tar.bz2) = 277642704
--- wesnoth-devel_update_to_1.7.14.diff ends here ---
Comment 3 Paul Shepel 2010-03-15 10:27:13 UTC
Thanks for patch. It works for me.
With this patch wesnoth-devel 1.7.14 was compiled from ports and works great
Comment 4 swell.k 2010-03-16 00:04:39 UTC
Good. But a new version emerged.

--- wesnoth-devel_update_to_1.7.15.diff begins here ---
Index: games/wesnoth-devel/Makefile
===================================================================
RCS file: /a/.cvsup/ports/games/wesnoth-devel/Makefile,v
retrieving revision 1.81
diff -u -p -r1.81 Makefile
--- games/wesnoth-devel/Makefile	13 Feb 2010 18:42:04 -0000	1.81
+++ games/wesnoth-devel/Makefile	16 Mar 2010 00:00:35 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	wesnoth
-PORTVERSION=	1.7.10
+PORTVERSION=	1.7.15
 CATEGORIES=	games
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTNAME}-${PORTVERSION} \
 		http://www.wesnoth.org/files/
@@ -37,8 +36,8 @@ CONFIGURE_ARGS=	--localstatedir=/var \
 		--with-localedir=${PREFIX}/share/locale
 
 MANLANG_GAME=	gl sk zh_TW
-MANLANG=	"" cs de en_GB es et fi fr hu it lt pl pt_BR sr sr@latin \
-		tr zh_CN
+MANLANG=	"" cs de en_GB es et fi fr hu it ja lt pl pt_BR sr \
+		sr@latin tr zh_CN
 
 MAN6=		wesnoth.6
 
Index: games/wesnoth-devel/distinfo
===================================================================
RCS file: /a/.cvsup/ports/games/wesnoth-devel/distinfo,v
retrieving revision 1.53
diff -u -p -r1.53 distinfo
--- games/wesnoth-devel/distinfo	13 Feb 2010 18:42:04 -0000	1.53
+++ games/wesnoth-devel/distinfo	15 Mar 2010 23:40:09 -0000
@@ -1,3 +1,3 @@
-MD5 (wesnoth-1.7.10.tar.bz2) = e31149a10508be250200058f318876f8
-SHA256 (wesnoth-1.7.10.tar.bz2) = d73be1f2f8f3d4c8774f5b997d76c595b80726965ac03f7a38681ab9e64e19c6
-SIZE (wesnoth-1.7.10.tar.bz2) = 273564694
+MD5 (wesnoth-1.7.15.tar.bz2) = f3d236c52f809fb850e8f88f9d895853
+SHA256 (wesnoth-1.7.15.tar.bz2) = 847cc36588e37e3e9ebe6f4e90a5a23ebbf17fc961c8560cfcb3fbc4707ea054
+SIZE (wesnoth-1.7.15.tar.bz2) = 283570482
--- wesnoth-devel_update_to_1.7.15.diff ends here ---
Comment 5 dfilter service freebsd_committer 2010-03-16 11:56:48 UTC
philip      2010-03-16 11:56:35 UTC

  FreeBSD ports repository

  Modified files:
    games/wesnoth-devel  Makefile distinfo 
  Log:
  Update to 1.7.15.
  
  PR:             ports/144392
  Submitted by:   Anonymous <swell.k -at- gmail.com>
  
  Revision  Changes    Path
  1.82      +3 -3      ports/games/wesnoth-devel/Makefile
  1.54      +3 -3      ports/games/wesnoth-devel/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Philip Paeps freebsd_committer 2010-03-16 11:56:54 UTC
State Changed
From-To: open->closed

Committed. Thanks!